import { Component, OnInit } from '@angular/core';
import {Board} from "../../models/boards";
import {ApiChatService} from "../../services/api-chat.service";

@Component({
  selector: 'app-nav-bar',
  templateUrl: './nav-bar.component.html',
  styleUrls: ['./nav-bar.component.css']
})
export class NavBarComponent implements OnInit {
  boardsToList: Board[];


  constructor(public apiChatService: ApiChatService) {
  }

  ngOnInit(): void {
    this.boardsToList = this.apiChatService.getBoards()
  }

}
